| Method | POST |
|---|---|
| Endpoint | https://{{host}}/agentassist/api/public/analytics/account/{{accountId}}/v3/agentstatusdetails?limit=50&offset=0 |
| Content-Type | application/json |
| Authorization | auth: {{JWT_TOKEN}} See How to generate the JWT Token. |
| API Scope | SmartAssist Analytics |
Path Parameters
| Parameter | Description | Type |
|---|---|---|
host | Environment URL. For example, https://platform.kore.ai | String, required |
accountId | The account identifier. | String, required |
iId | Stream or application ID. For example, st-e19dd469-90f5-5655-b0b2-858de901xxxx | String, required |
Query Parameters
| Parameter | Description | Type |
|---|---|---|
limit | Number of result rows to return. Maximum: 50 | Integer, optional |
offset | Number of result rows to skip. Default: 0. | Integer, optional |
Sample Request
curl --location --request POST 'https://{{host}}/agentassist/api/public/analytics/account/63f07d26f04465685df4xxxx/v3/agentstatusdetails?limit=50&offset=0' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'iId: st-e19dd469-90f5-5655-b0b2-858de901xxxx' \
--data-raw '{
"filter":{
"dateFilter":{
"date": "2023-04-13",
"timeZoneOffSet" : -330
}
}
}'
Request Body Parameters
| Parameter | Description | Type |
|---|---|---|
filter | Object with agents and date filter as fields. | String, required |
agents | Email IDs of the agents. | String, optional |
dateFilter | Object with start date, end date, and time zone offset as fields. | Number, required |
startDate | Start date for filtering records. Format: yyyy-mm-dd. For example, 2022-08-25. | Date, required |
endDate | End date for filtering records. Format: yyyy-mm-dd. For example, 2022-08-25. | Date, required |
timeZoneOffSet | Time zone offset. For example, -330, 630, -500. For US/New York use 300. Use - for time zones east of GMT; no sign for time zones west of GMT. | Number, required |
Sample Response
{
"hasMore": false,
"limit": 50,
"offset": 0,
"data": [
{
"userId": "u-6823679f-9fa4-5397-a6fb-8d0eb819xxxx",
"aId": "a-718edc1-318e-41ae-8b58-de30589cxxxx",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"customId": "",
"status": [
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T00:00:00",
"endTime": "2026-10-31T23:59:59",
"duration": "24:00:00"
}
],
"events": []
},
{
"userId": "u-2f03f7ac-820d-5c58-8995-f0049c43xxxx",
"aId": "a-6e2d978-1dd3-4037-8dda-8ba5ad85xxxx",
"firstName": "Jane",
"lastName": "Doe",
"email": "jane.doe@example.com",
"customId": "",
"status": [
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T00:00:00",
"endTime": "2026-10-31T23:59:59",
"duration": "24:00:00"
}
],
"events": []
},
{
"userId": "u-9d56503a-d03f-5bc5-82c2-082c6f56xxxx",
"aId": "a-4e27abb-eb47-4a79-b193-c74370e2xxxx",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"customId": "",
"status": [
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T00:00:00",
"endTime": "2026-10-31T23:59:59",
"duration": "24:00:00"
}
],
"events": []
},
{
"userId": "u-e0e9b5cf-665c-51ff-ae22-08aa9eaaxxxx",
"aId": "a-65c2983-93c4-41b9-beec-657218e1xxxx",
"firstName": "Jane",
"lastName": "Doe",
"email": "jane.doe@example.com",
"customId": "",
"status": [
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T00:00:00",
"endTime": "2026-10-31T23:59:59",
"duration": "24:00:00"
}
],
"events": []
},
{
"userId": "u-8d1dc438-6d76-524f-a6c4-41604a44xxxx",
"aId": "a-45a1ca8-3de5-4e8b-9306-7e716b9cxxxx",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"customId": "",
"status": [
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T00:00:00",
"endTime": "2026-10-31T14:51:24",
"duration": "14:51:24"
},
{
"primaryStatus": "AWAY",
"secondaryStatus": "LOGIN PREP",
"startTime": "2026-10-31T14:51:24",
"duration": "00:00:06",
"endTime": "2026-10-31T14:51:29"
},
{
"primaryStatus": "AVAILABLE",
"secondaryStatus": "AVAILABLE",
"startTime": "2026-10-31T14:51:29",
"duration": "00:11:58",
"endTime": "2026-10-31T15:03:27"
},
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T15:03:27",
"endTime": "2026-10-31T15:03:36",
"duration": "00:00:09"
},
{
"primaryStatus": "AVAILABLE",
"secondaryStatus": "AVAILABLE",
"startTime": "2026-10-31T15:03:36",
"duration": "00:03:53",
"endTime": "2026-10-31T15:07:29"
},
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T15:07:29",
"endTime": "2026-10-31T15:14:15",
"duration": "00:06:46"
},
{
"primaryStatus": "AWAY",
"secondaryStatus": "LOGIN PREP",
"startTime": "2026-10-31T15:14:15",
"duration": "00:01:24",
"endTime": "2026-10-31T15:15:39"
},
{
"primaryStatus": "AVAILABLE",
"secondaryStatus": "AVAILABLE",
"startTime": "2026-10-31T15:15:39",
"duration": "00:11:47",
"endTime": "2026-10-31T15:27:26"
},
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T15:27:26",
"endTime": "2026-10-31T23:59:59",
"duration": "08:32:33"
}
],
"events": [
{
"type": "entry",
"at": "2026-10-31T14:51:18",
"ip": "167.103.24.174"
},
{
"type": "exit",
"at": "2026-10-31T15:07:29",
"ip": "167.103.24.180"
},
{
"type": "entry",
"at": "2026-10-31T15:14:12",
"ip": "167.103.24.180"
},
{
"type": "exit",
"at": "2026-10-31T15:57:26",
"ip": "unknown"
}
]
},
{
"userId": "u-d0acd039-2913-5949-8b0f-9b3bd68fxxxx",
"aId": "a-4a61260-596c-4d06-b496-500e81d1xxxx",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"customId": "*)(^$&%FGJHGFD^%xxxx,
"status": [
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T00:00:00",
"endTime": "2026-10-31T14:58:23",
"duration": "14:58:23"
},
{
"primaryStatus": "AWAY",
"secondaryStatus": "LOGIN PREP",
"startTime": "2026-10-31T14:58:23",
"duration": "00:00:09",
"endTime": "2026-10-31T14:58:31"
},
{
"primaryStatus": "AVAILABLE",
"secondaryStatus": "AVAILABLE",
"startTime": "2026-10-31T14:58:31",
"duration": "00:04:56",
"endTime": "2026-10-31T15:03:27"
},
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T15:03:27",
"endTime": "2026-10-31T15:03:35",
"duration": "00:00:08"
},
{
"primaryStatus": "AVAILABLE",
"secondaryStatus": "AVAILABLE",
"startTime": "2026-10-31T15:03:35",
"duration": "00:06:02",
"endTime": "2026-10-31T15:09:37"
},
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T15:09:37",
"endTime": "2026-10-31T15:09:51",
"duration": "00:00:15"
},
{
"primaryStatus": "AVAILABLE",
"secondaryStatus": "AVAILABLE",
"startTime": "2026-10-31T15:09:51",
"duration": "00:17:35",
"endTime": "2026-10-31T15:27:26"
},
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T15:27:26",
"endTime": "2026-10-31T16:09:52",
"duration": "00:42:26"
},
{
"primaryStatus": "AVAILABLE",
"secondaryStatus": "AVAILABLE",
"startTime": "2026-10-31T16:09:52",
"duration": "00:11:25",
"endTime": "2026-10-31T16:21:18"
},
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T16:21:18",
"endTime": "2026-10-31T18:09:03",
"duration": "01:47:45"
},
{
"primaryStatus": "AVAILABLE",
"secondaryStatus": "AVAILABLE",
"startTime": "2026-10-31T18:09:03",
"duration": "00:07:21",
"endTime": "2026-10-31T18:16:24"
},
{
"primaryStatus": "OFFLINE",
"secondaryStatus": "OFFLINE",
"startTime": "2026-10-31T18:16:24",
"endTime": "2026-10-31T23:59:59",
"duration": "05:43:36"
}
],
"events": [
{
"type": "entry",
"at": "2026-10-31T14:50:04",
"ip": "167.103.24.174"
}
]
}
]
}
Response Body Parameters
| Field | Type | Description |
|---|---|---|
hasMore | Boolean | Indicates whether more records are available beyond the current response. |
limit | Integer | Maximum number of records returned in the response. |
offset | Integer | Number of records skipped before retrieving the current set of results. |
userId | String | Unique identifier of the user. |
aId | String | Unique identifier of the agent. |
firstName | String | Agent’s first name. |
lastName | String | Agent’s last name. |
email | String | Agent’s email address. |
customId | String | Custom identifier associated with the agent. |
status | Array | List of agent status records for the specified period. |
status.primaryStatus | String | Primary status of the agent. For example, AVAILABLE, OFFLINE, AWAY |
status.secondaryStatus | String | Secondary status of the agent. For example, AVAILABLE, OFFLINE, LOGIN PREP |
status.startTime | String | Date and time when the status period started in ISO 8601 format. |
status.endTime | String | Date and time when the status period ended in ISO 8601 format. |
status.duration | String | Total duration for the status period. |
events | Array | List of agent activity events. |
events.type | String | Type of event recorded. |
events.at | String | Date and time when the event occurred in ISO 8601 format. |
events.ip | String | IP address associated with the event. |